Subject: Re: MPC85xx DMA support for Kernel 2.6?

From: Clemens Koller <[email-masked]>
Date: Thu, 30 Jun 2005 17:56:30 +0200

Hi, Kumar...

> I'm not aware of anyone work on such a thing.

*Sigh*... no holiday for me this summer .-(

> I'd be more than happy  
> to accept patches for it.  I know several of us have written some  APIs 
> on top of the DMA for 85xx.  Those however are non-standard APIs.

But is there any code available for recycling?
Are there any Freescale-FAE's with some snippets?
(Hello, world!)
I am about to start more or less from scratch and re-invent the wheel.

> What APIs exist for general purpose DMA engines?  Last time I looked  at 
> this problem nothing really existed.

:-) I was wondering about that, too...
Maybe we can get some basics from this one:
Linux/Documentation/DMA-API.txt

And, well, code from:
asm-ppc/ppc4xx_dma.h
arch/ppc/syslib/ppc4xx_sgdma.c
and from the pci.h subsystem.

Hmm... and there is the factor that it's difficult to get
resources in my project for all that. :-(((

Best greets,

Clemens Koller
_______________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Str. 45/1
81379 Muenchen
Germany

http://www.anagramm.de
Phone: +49-89-741518-50
Fax: +49-89-741518-19